package cc.bnblogs.provider.test;

import org.apache.rocketmq.client.producer.DefaultMQProducer;
import org.apache.rocketmq.client.producer.SendResult;
import org.apache.rocketmq.common.message.Message;

    public class ProducerTest {
        public static void main(String[] args) throws Exception {
            // 创建消息生产者
            DefaultMQProducer producer = new DefaultMQProducer("myProducer-Group");
            // 设置Nameserver
            producer.setNamesrvAddr("192.168.153.131:9876");
            // 启动生产者
            producer.start();
            // 构建消息对象
            Message message = new Message("myTopic","myTag",("test mq").getBytes());
            // 发送消息
            SendResult sendResult = producer.send(message,1000);
            System.out.println(sendResult);
            // 关闭生产者
            producer.shutdown();
        }
    }
